Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.c14n
Class CanonicalizationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.security.xmlsec.util.ChainedException
oracle.security.xmlsec.transform.TransformationException
oracle.security.xmlsec.c14n.CanonicalizationException`

All Implemented Interfaces:
  java.io.Serializable

public class CanonicalizationException
extends TransformationException

Exception thrown when an error occurs during the execution of a `Canonicalizer`'s functions.

See Also:
  Serialized Form

Constructor Summary
`CanonicalizationException()` Creates a new `CanonicalizationException` instance.
`CanonicalizationException(java.lang.String s)` Creates a new `CanonicalizationException` instance with the given message string.
`CanonicalizationException(java.lang.Throwable cause)` Creates a new `CanonicalizationException` instance with the given message string.

Methods inherited from class oracle.security.xmlsec.util.ChainedException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CanonicalizationException

    public CanonicalizationException()

  Creates a new `CanonicalizationException` instance.

### CanonicalizationException

    public CanonicalizationException(java.lang.Throwable cause)

  Creates a new `CanonicalizationException` instance with the given message string.

### CanonicalizationException

    public CanonicalizationException(java.lang.String s)

  Creates a new `CanonicalizationException` instance with the given message string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.